/* Global styles */
body {
    margin: 0;
    padding: 0;
    font-family: Arial, sans-serif;
    background-color: #f2f2f2;
    max-width: 100VW;
    overflow-x: hidden;
    /* Hide horizontal scrollbar */
}

/* .container {
    max-width: 1200px;
    margin: 0 auto;
    padding: 20px;
} */



h1,
h2,
h3 {
    color: #333;
}

p {
    color: #666;
}

a {
    color: #333;
    text-decoration: none;
}

/* Header styles */
header {
    background-color: #fff;
    padding: 10px;
    box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
    text-align: right;
}

/* .navbar-brand {
    display: inline-block;
    margin-right: 20px;
    float: left;
}

.logo{
    height: 100px;
}

nav {
    overflow: hidden;
}

nav ul {
    list-style: none;
    margin: 0;
    padding: 0;
    float: right;
}

nav ul li {
    display: inline-block;
    margin-right: 10px;
}

nav ul li a {
    color: #333;
    text-decoration: none;
} */


/* Hero section styles */
.hero {
    text-align: center;
    margin-top: 100px;
}

.hero .logo img {
    max-width: 200px;
}

.hero h1 {
    font-size: 36px;
}

.hero p {
    font-size: 18px;
}

.cta-button {
    display: inline-block;
    padding: 10px 20px;
    background-color: #333;
    color: #fff;
    border-radius: 5px;
    text-transform: uppercase;
    font-weight: bold;
    margin-top: 20px;
    text-decoration: none;
}

.cta-button:hover {
    background-color: #555;
}

/* About Us section styles */
.about-us {
    background-color: #fff;
    padding: 40px 0;
}

/* Services section styles */
.services {
    background-color: #fd020200;
    padding: 0;
}

.services .service {
    margin-bottom: 20px;
}

.services .service h3 {
    margin-top: 0;
}

/* partnars section styles */
.partnars {
    background-color: #fff;
    padding: 40px 0;
}

/* Contact Us section styles */
.our-social-media {
    /* background-color: #f8f9fa; */
    padding: 40px 0;
}

.our-social-media p {
    margin-bottom: 20px;
}

.our-social-media {
    padding: 40px 0;
}

.social-media-links a {
    display: inline-block;
    margin: 10px;
}

.social-media-links a img {
    width: 120px;
    height: 120px;
    transition: transform 0.3s ease;
}

.social-media-links a:hover img {
    transform: scale(1.2);
}

.light-bg {
    background-color: #f8f9fa;
}

.dark-bg {
    background-color: #C2BEC4;

}



section {
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 50px;
}

/* Style for the text content */
.text-content {
    padding-right: 2rem;
    color: #000000;
}

.text-content h2 {
    /* font-size: 24px; */
    margin-bottom: 20px;
}

.text-content p {
    font-size: 16px;
}

/* Style for the image container */
.image-container {
    text-align: center;
}

.image-container img {
    max-width: 100%;
    height: auto;
    border-radius: 10px;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
}

.nil-me {
    font-weight: bold;
}

#loading-page {
    display: flex;
    /* استخدم Flexbox */
    justify-content: center;
    /* محاذاة العناصر أفقيًا في المنتصف */
    align-items: center;
    /* محاذاة العناصر عموديًا في المنتصف */
    height: 100vh;
    /* جعل ارتفاع الصفحة بالكامل 100% */
    background-color: #fff;
    /* لون الخلفية (يمكن تغييره حسب الحاجة) */
}

.loader {
    display: flex;
    /* استخدم Flexbox لجعل اللوجو في الوسط */
    flex-direction: column;
    /* ترتيب العناصر عموديًا */
    justify-content: center;
    /* محاذاة العناصر عموديًا */
    align-items: center;
    /* محاذاة العناصر أفقيًا */
}

.logo-loading {
    width: 40vw;
    /* عرض اللوجو كنسبة من عرض الشاشة */
    max-width: 300px;
    /* تحديد الحد الأقصى لعرض اللوجو */
    height: auto;
    /* الحفاظ على نسبة الأبعاد */
}

.loader:before {
    content: '';
    /* إضافة عنصر وهمي */
    border: 8px solid #f3f3f3;
    /* لون الحافة الخارجية */
    border-top: 8px solid #3498db;
    /* لون الحافة العلوية */
    border-radius: 50%;
    /* جعل الزر دائريًا */
    width: 60px;
    /* عرض الزر */
    height: 60px;
    /* ارتفاع الزر */
    animation: spin 2s linear infinite;
    /* تأثير الدوران */
    margin-bottom: 20px;
    /* إضافة مسافة بين المحمّل واللوجو */
    
}

/* تأثير الدوران */
@keyframes spin {
    0% {
        transform: rotate(0deg);
    }

    100% {
        transform: rotate(360deg);
    }
}


/* Content styles */
#main-content {
    display: block;
}


/* about us style */

/* CSS for the timeline */

.timeline {
    position: relative;
    margin-top: 40px;
}

.timeline:before {
    content: "";
    position: absolute;
    top: 0;
    left: 25px;
    height: 100%;
    border-left: 2px solid #999;
}

.timeline-item {
    position: relative;
    padding: 20px 40px;
    background-color: #f2f2f2;
    border-radius: 4px;
    margin-bottom: 20px;
}

.timeline-item:before {
    content: "";
    position: absolute;
    top: 50%;
    left: 0;
    transform: translateY(-50%);
    width: 10px;
    height: 10px;
    background-color: #999;
    border-radius: 50%;
}

.timeline-item:last-child {
    margin-bottom: 0;
}

.timeline-content {
    margin-left: 20px;
}

.timeline-content h3 {
    margin-top: 0;
    color: #333;
}

.timeline-content p {
    color: #666;
}

.timeline {
    position: relative;
    max-width: 900px;
    margin: 50px auto;
}

.timeline::after {
    content: '';
    position: absolute;
    width: 6px;
    background-color: #049FD9;
    top: 0;
    bottom: 0;
    left: 0;
    margin-left: -3px;
}

.timeline .timeline-item {
    margin-bottom: 50px;
    position: relative;
}

.timeline .timeline-item .timeline-text {
    margin: 20px 0;
}

.timeline .timeline-item::before {
    content: '';
    position: absolute;
    width: 25px;
    height: 25px;
    border-radius: 50%;
    background-color: #049FD9;
    top: 0;
    bottom: 0;
    margin: auto;
    left: -12px;
}

.timeline .timeline-item .timeline-text {
    margin-left: 40px;
}



/* Additional styling */


.ls-cisco {
    max-width: 960px !important;
    margin: 0 auto !important;
    padding: 20px !important;
}

.th_container {
    background-color: #E6E6E6;
    margin: 10px 0px;

}

.navbar-nav .nav-link {
    position: relative;
}

.navbar-nav .nav-link:after {
    content: "";
    position: absolute;
    left: 0;
    bottom: -2px;
    width: 0%;
    height: 2px;
    background-color: #049FD9;
    transition: width 0.3s ease-in-out;
}

.navbar-nav .nav-link:hover:after {
    width: 100%;
}



/* service page style start */
body,
html {
    height: 100%;
}

.services {
    display: flex;
    align-items: center;
    padding: 0px 0;
}

.services h2 {
    font-size: 32px;
    margin-bottom: 40px;
}

.services ul {
    list-style-type: none;
    padding: 0;
}

.services ul li {
    margin-bottom: 30px;
}

.service-item {
    display: flex;
    align-items: center;
    justify-content: space-between;
    height: 100vh;
    background-color: #f1f1f1;
    padding: 20px;
}

.service-item img {
    width: 25%;
    margin-right: 20px;
}

.service-item h4 {
    margin-bottom: 10px;
}

footer {
    margin-top: auto;
}

/* Custom colors for section items */
.service-item:nth-child(1) {
    background-color: #eaf6f6;
}

.service-item:nth-child(2) {
    background-color: #f6f6ea;
}

.service-item:nth-child(3) {
    background-color: #f6eaea;
}

.service-item {
    display: flex;
    align-items: center;
    margin-bottom: 20px;
}

.service-item .col-md-3 {
    padding-right: 10px;
    flex: 0 0 25%;
    max-width: 25%;
}

.service-title {
    font-size: 18px;
    font-weight: bold;
    margin-bottom: 10px;
}

.service-description {
    font-size: 14px;
    line-height: 1.5;
}

.fit-image_1 {

    height: 100vh !important;
    width: 100% !important;
}

/* service page style start */

/* Inline styles for demonstration purposes */
body {
    font-family: Arial, sans-serif;
    margin: 0;
    padding: 0;
    /* background-color: #f7f7f7; */
}

h1 {
    margin: 0;
    font-size: 32px;
}

/* Add more styles for other sections */

#team-members {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    margin-top: 30px;
}

.team-member {
    width: 300px;
    margin: 20px;
    padding: 20px;
    border-radius: 10px;
    box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
    background-color: #fff;
    text-align: center;
    transition: transform 0.3s ease;
    height: 600px;
}

.team-member:hover {
    transform: translateY(-5px);
}

.team-member img {
    width: 150px;
    height: 150px;
    object-fit: cover;
    border-radius: 50%;
    margin-bottom: 15px;
    box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
}

.team-member h3 {
    margin: 0;
    font-size: 24px;
    color: #333;
}

.team-member p {
    margin-top: 10px;
    color: #666;
}

.social-icons {
    margin-top: 20px;
}

.social-icons a {
    display: inline-block;
    margin-right: 10px;
    color: #666;
    font-size: 20px;
}

#culture {
    background-color: #f9f9f9;
}

#value-proposition {
    background-color: #3498dba5;

}